using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using WCS.Entity.Protocol.Protocol.Robot;

namespace WCS.Entity.Protocol.Robot
{
    /// <summary>
    ///   机械臂码垛工位DB531
    /// </summary>
    [Description("531")]
    public interface IRobot531 : IProtocol
    {
        [Description("垛任务号")]
        int PalletID { get; set; }
        short Type { get; set; }
        /// <summary>
        ///  最大码垛数量
        /// </summary>
        [Description("最大数量")]
        public short MaxQty { get; set; }

        /// <summary>
        ///  最大码垛数量
        /// </summary>
        [Description("已码数量")]
        public short Qty { get; set; }

        /// <summary>
        ///  码垛结束
        /// </summary>
        [Description("请求指令")]
        public RobotStationRqst Rqst { get; set; }

        /// <summary>
        ///  凭证号，触发信号
        /// </summary>
        [Description("凭证号")]
        public short VoucherNo { get; set; }

        [MaxLength(72)]
        public int[] TaskArray { get; set; }
    }
}
